Move all to deprecated folder.

This commit is contained in:
2016-11-16 21:57:57 +01:00
parent 01738a7684
commit 05de7d6c04
9777 changed files with 0 additions and 0 deletions

View File

@@ -0,0 +1,9 @@
config BR2_PACKAGE_STUNNEL
bool "stunnel"
depends on BR2_USE_MMU # fork()
select BR2_PACKAGE_OPENSSL
help
Stunnel is a program that wraps any TCP connection with an SSL
connection.
http://www.stunnel.org/

View File

@@ -0,0 +1,35 @@
#!/bin/sh
start() {
printf "Starting stunnel: "
start-stop-daemon -S -q -p /var/run/stunnel.pid --exec /usr/bin/stunnel
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping stunnel: "
start-stop-daemon -K -q -p /var/run/stunnel.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?

View File

@@ -0,0 +1,2 @@
# From http://www.stunnel.org/pipermail/stunnel-announce/2016-January/000117.html
sha256 43909625403ea634fa7cb8399d58faf8e7f11c1b7b29097491469951f56df551 stunnel-5.29.tar.gz

View File

@@ -0,0 +1,36 @@
################################################################################
#
# stunnel
#
################################################################################
STUNNEL_VERSION_MAJOR = 5
STUNNEL_VERSION = $(STUNNEL_VERSION_MAJOR).29
STUNNEL_SITE = http://www.usenix.org.uk/mirrors/stunnel/archive/$(STUNNEL_VERSION_MAJOR).x
STUNNEL_DEPENDENCIES = openssl
STUNNEL_CONF_OPTS = --with-ssl=$(STAGING_DIR)/usr --with-threads=fork \
--disable-libwrap
STUNNEL_CONF_ENV = \
ax_cv_check_cflags___fstack_protector=$(if $(BR2_TOOLCHAIN_HAS_SSP),yes,no)
STUNNEL_LICENSE = GPLv2+
STUNNEL_LICENSE_FILES = COPYING COPYRIGHT.GPL
ifeq ($(BR2_INIT_SYSTEMD),y)
STUNNEL_DEPENDENCIES += systemd
else
STUNNEL_CONF_OPTS += --disable-systemd
endif
define STUNNEL_INSTALL_CONF
$(INSTALL) -m 0644 -D $(@D)/tools/stunnel.conf \
$(TARGET_DIR)/etc/stunnel/stunnel.conf
rm -f $(TARGET_DIR)/etc/stunnel/stunnel.conf-sample
endef
STUNNEL_POST_INSTALL_TARGET_HOOKS += STUNNEL_INSTALL_CONF
define STUNNEL_INSTALL_INIT_SYSV
$(INSTALL) -m 0755 -D package/stunnel/S50stunnel $(TARGET_DIR)/etc/init.d/S50stunnel
endef
$(eval $(autotools-package))